scala.collection.generic

# GenMapFactory

#### abstract class GenMapFactory[CC[A, B] <: GenMap[A, B] with GenMapLike[A, B, CC[A, B]]] extends AnyRef

A template for companion objects of `Map` and subclasses thereof.

Source
  GenMapFactory.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
GenMap, HashMap, HashMap, ImmutableMapFactory, LinkedHashMap, ListMap, ListMap, Map, Map, Map, MapFactory, MutableMapFactory, ParHashMap, ParHashMap, ParMap, ParMap, ParMap, ParMapFactory, ParTrieMap, TrieMap, WeakHashMap
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenMapFactory
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenMapFactory()

### Type Members

1. #### type Coll = CC[_, _]

   The type constructor of the collection that can be built by this factory

2. #### class MapCanBuildFrom[A, B] extends CanBuildFrom[Coll, (A, B), CC[A, B]]

   The standard `CanBuildFrom` class for maps.

### Abstract Value Members

1. #### abstract def empty[A, B]: CC[A, B]

   An empty `Map`

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenMapFactory[CC] to any2stringadd[GenMapFactory[CC]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GenMapFactory[CC], B)

   Implicit information
     This member is added by an implicit conversion from GenMapFactory[CC] to ArrowAssoc[GenMapFactory[CC]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply[A, B](elems: (A, B)*): CC[A, B]

   A collection of type `Map` that contains given key/value bindings.

   A collection of type `Map` that contains given key/value bindings.

   A

     the type of the keys

   B

     the type of the associated values

   elems

     the key/value pairs that make up the map

   returns

     a new map consisting key/value pairs given by `elems`.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (GenMapFactory[CC]) ⇒ Boolean, msg: ⇒ Any): GenMapFactory[CC]

   Implicit information
     This member is added by an implicit conversion from GenMapFactory[CC] to Ensuring[GenMapFactory[CC]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (GenMapFactory[CC]) ⇒ Boolean): GenMapFactory[CC]

    Implicit information
      This member is added by an implicit conversion from GenMapFactory[CC] to Ensuring[GenMapFactory[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenMapFactory[CC]

    Implicit information
      This member is added by an implicit conversion from GenMapFactory[CC] to Ensuring[GenMapFactory[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): GenMapFactory[CC]

    Implicit information
      This member is added by an implicit conversion from GenMapFactory[CC] to Ensuring[GenMapFactory[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from GenMapFactory[CC] to StringFormat[GenMapFactory[CC]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def newBuilder[A, B]: Builder[(A, B), CC[A, B]]

    The default builder for `Map` objects.

    The default builder for `Map` objects.

    A

      the type of the keys

    B

      the type of the associated values

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (GenMapFactory[CC], B)

    Implicit information
      This member is added by an implicit conversion from GenMapFactory[CC] to ArrowAssoc[GenMapFactory[CC]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GenMapFactory[CC] to any2stringadd[GenMapFactory[CC]]

### Inherited by implicit conversion StringFormat from GenMapFactory[CC] to StringFormat[GenMapFactory[CC]]

### Inherited by implicit conversion Ensuring from GenMapFactory[CC] to Ensuring[GenMapFactory[CC]]

### Inherited by implicit conversion ArrowAssoc from GenMapFactory[CC] to ArrowAssoc[GenMapFactory[CC]]

### Ungrouped